Subject: bug#28615: [PATCH] Clarify what grep-read-files wants

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Oct 2017 10:52:01 +0300

> From: Allen Li <[email-masked]>
> Date: Mon, 9 Oct 2017 23:51:47 -0700
> Cc: [email-masked]
> 
> Are you saying that a user might mistake the completion on
> grep-files-aliases as completion on file name?

Something like that, yes.  In general, I don't think completing on
wildcards is useful.

> I believe that with the new prompt change, that is unlikely.

People don't always read the prompt paying attention to every word of
it, and "all" is a valid wildcard anyway.

> >> As I noted in the bug, most of the completions that would be
> >> provided by read-file-name-internal don't work
> >
> > IMO, that's okay, because wildcards cannot be meaningfully completed
> > on.
> 
> But the aliases from grep-files-aliases can be meaningfully
> completed.  I don't see why we shouldn't provide meaningful
> completion if the user defines a lot of aliases, seeing as how
> the current file name completion is useless.

I didn't think allowing it to complete on 2 non-file values is
important enough to justify the possible confusion.